package com.ruoyi.oa.service;

import com.ruoyi.oa.domain.OaSalaryTemplate;
import com.ruoyi.oa.domain.vo.OaSalaryTemplateVo;
import com.ruoyi.oa.domain.bo.OaSalaryTemplateBo;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 薪资模板主Service接口
 *
 * @author ruoyi
 * @date 2025-06-23
 */
public interface IOaSalaryTemplateService {

    /**
     * 查询薪资模板主
     */
    OaSalaryTemplateVo queryById(Long salaryTemplateId);

    /**
     * 查询薪资模板主列表
     */
    TableDataInfo<OaSalaryTemplateVo> queryPageList(OaSalaryTemplateBo bo, PageQuery pageQuery);

    /**
     * 查询薪资模板主列表
     */
    List<OaSalaryTemplateVo> queryList(OaSalaryTemplateBo bo);

    /**
     * 新增薪资模板主
     */
    Boolean insertByBo(OaSalaryTemplateBo bo);

    /**
     * 修改薪资模板主
     */
    Boolean updateByBo(OaSalaryTemplateBo bo);

    /**
     * 校验并批量删除薪资模板主信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
